Bug 108675 - [LOCALHELP] Write help page for VBA function Pmt
Summary: [LOCALHELP] Write help page for VBA function Pmt
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: HelpGaps 84675
  Show dependency treegraph
 
Reported: 2017-06-21 13:13 UTC by Olivier Hallot
Modified: 2017-07-24 11:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File to serve as template for new page (5.17 KB, application/xml)
2017-06-21 13:13 UTC, Olivier Hallot
Details
File to serve as template for new page (4.68 KB, application/xml)
2017-06-23 11:36 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2017-06-21 13:13:29 UTC
Created attachment 134195 [details]
File to serve as template for new page

write help page for Pmt VBA function.

Instructions

1) Install HelpAuthoring extension, put it in working condition
https://wiki.documentfoundation.org/Documentation/Help

2) download the attached help file, it will serve as template.

3) Change references of NPer to Pmt, adjust parameters, check for the Basic example, check for the equivalent Pmt Calc function (use same numbers, if necessary).

4) Set the l10n attribute to false on code pure lines and pure numbers to avoid useless translations.

5) Save and attach to this bug for verification and submission to gerrit

Notes: 
1) No need to touch the embedded files or variables

2) References for this function can be found at http://www.excelfunctions.net/vba-functions.html but DO NOT COPY CONTENT from it, instead create your own content based on information from CALC function PMT.

3) Parameters for Pmt are listed in this document:
https://bug-attachments.documentfoundation.org/attachment.cgi?id=133095
Comment 1 Olivier Hallot 2017-06-23 11:36:38 UTC
Created attachment 134220 [details]
File to serve as template for new page
Comment 2 Commit Notification 2017-07-24 11:12:13 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=7e0d91b15d875f6bf7fa94edf96a0bb791d5e8b3

tdf#108675 Help page for VBA function Pmt